Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlConst

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlConst

All Implemented Interfaces:
  idlConst, idlObject, java.io.Serializable

public class IdlConst
extends IdlObject
implements idlConst

Cette classe represente l'objet IDL Const

Version:
  $Revision: 1.5 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlConst(IdlObject father)` Cree un objet IDL Const

Method Summary
`void` | `changePrefix(java.lang.String prefix)` Change prefix to my self but also to all contained objects
`idlObject` | `constantType()` Return the constant type
`java.util.Enumeration` | `content()` Return this idlObject content
`java.lang.String` | `expression()` Retourne l'expression constante
`void` | `expression(java.lang.String expr)` Fixe la valeur de l'expression constante
`double` | `floatValue()` Renvoie la valeur flottante de la constante
`void` | `floatValue(double val)` Fixe la valeur flottante de la constante
`long` | `intValue()` Renvoie la valeur entiere de la constante
`void` | `intValue(long val)` Fixe la valeur entiere de la constante
`java.lang.Object` | `value()` Return the constant value

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlConst

    public IdlConst(IdlObject father)

  Cree un objet IDL Const

Method Detail

### expression

    public void expression(java.lang.String expr)

  Fixe la valeur de l'expression constante
  Parameters:
    `expr` - l'expression constante

### expression

    public java.lang.String expression()

  Retourne l'expression constante
  Specified by:
    `expression` in interface `idlConst`
  Returns:
    l'expression

### intValue

    public void intValue(long val)

  Fixe la valeur entiere de la constante
  Parameters:
    `val` - la valeur entiere

### intValue

    public long intValue()

  Renvoie la valeur entiere de la constante
  Returns:
    la valeur de la constante

### floatValue

    public void floatValue(double val)

  Fixe la valeur flottante de la constante
  Parameters:
    `val` - la valeur flottante

### floatValue

    public double floatValue()

  Renvoie la valeur flottante de la constante
  Returns:
    la valeur de la constante

### changePrefix

    public void changePrefix(java.lang.String prefix)

  Change prefix to my self but also to all contained objects
  Overrides:
    `changePrefix` in class `IdlObject`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

### value

    public java.lang.Object value()

  Description copied from interface: `idlConst`
  Return the constant value
  Specified by:
    `value` in interface `idlConst`

### constantType

    public idlObject constantType()

  Description copied from interface: `idlConst`
  Return the constant type
  Specified by:
    `constantType` in interface `idlConst`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD